Subject: Re: [PATCH] sch_htb.c consume the classes's tokens bellow the HTB_CAN_SEND level

From: Jarek Poplawski <[email-masked]>
Date: Wed, 4 Nov 2009 12:11:47 +0000

On Wed, Nov 04, 2009 at 08:01:23PM +0800, Changli Gao wrote:
> On Wed, Nov 4, 2009 at 7:49 PM, Jarek Poplawski <[email-masked]> wrote:
> > On Wed, Nov 04, 2009 at 07:21:48PM +0800, Changli Gao wrote:
> >>
> >> I don't think so. Although a class's tokens may be negative, but its
> >> ctokens may be positive. Charging its tokens is to prevent its cmode
> >> from being changed to HTB_CAN_SEND from HTB_CANT_SEND directly.
> >
> > I think, you should really better show some tests proving your patch
> > is needed and doesn't affect a case I described, instead of trying to
> > discuss the meaninig of all HTB variables here.
> >
> 
> I test it before sending it here, but it doesn't show any obvious
> difference as Martin said, no worse and no better.

Strange... How this patch could be needed or even "necessary", and
do "no worse and no better" at the same time.

> I don't know how to
> construct a test to show you the bad effect you worry about. Any
> suggestion about the test?

E.g. something like I described, but only rates 50kbit and 100kbit
instead of 5 and 10 packets/sec.

Regards,
Jarek P.